IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_registroEstadoEquipo]') AND type in (N'P', N'PC'))
BEGIN
execute('
	CREATE PROCEDURE [dbo].[_registroEstadoEquipo]
		-- Add the parameters for the stored procedure here
		@p_id_equipo as int,
		@p_id_trazabilidad as int,
		-----------------------
		@p_eid as varchar(500),
		@p_id_usuario as int
	AS
	BEGIN
		-- SET NOCOUNT ON added to prevent extra result sets from
		-- interfering with SELECT statements.
		SET NOCOUNT ON;

		-- Insert statements for procedure here
		declare @uid varchar(500)
		declare @id_estadoEquipo int
		select @uid = uid, @id_estadoEquipo = id_estadoEquipo from equ_equipo where id = @p_id_equipo

		declare @id_documento int
		declare @fechaEstado as smalldatetime 
		select @id_documento = id_documento, @fechaEstado = fecha_ff from equ_trazabilidad where id = @p_id_trazabilidad

		declare @fechaActual as smalldatetime 
		select @fechaActual = convert(smalldatetime, getdate(), 101)

		declare @id_historicoAlquiler int 
		select @id_historicoAlquiler = id from alq_historicoAlquiler where convert (varchar(10), fechaEstado,121) = convert (varchar(10), @fechaEstado,121) and id_equipo = @p_id_equipo

		if @id_historicoAlquiler > 0
			begin
				update alq_historicoAlquiler 
					set fechaModificacion = @fechaActual,
						id_estadoEquipo = @id_estadoEquipo, 
						id_documento = @id_documento,
						fechaEstado = @fechaEstado
					where id = @id_historicoAlquiler
			end
		else
			begin
				exec ins_alq_historicoAlquiler @uid, @p_eid, @p_id_usuario, @p_id_usuario, '''', '''', @p_id_equipo, @id_estadoEquipo, @id_documento, @fechaEstado
			end
	
		select ''''
	END
')

END